Prilagođene domene
GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalji | Opis |
|---|---|---|
| search | Opcionalno Niz | Pretraživački niz. |
| search_by | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: host. |
| datetime_field | Opcionalno Niz | Dopuštene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz | Koje polje odabrati za sortiranje rezultata. Dozvoljene vrijednosti su: domain_id, datetime, last_datetime, host. |
| order_type | Opcionalno Niz | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno poredanje, i DESC za silazno poredanje. |
| page | Opcionalno Cijeli broj | Broj stranice s koje želite rezultate. Zadano je 1. |
| results_per_page | Opcionalno Cijeli broj | Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains/available?page=1",
"last": "https://tistos.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains/available?page=1"
}
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalji | Opis |
|---|---|---|
| search | Opcionalno Niz | Pretraživački niz. |
| search_by | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: host. |
| is_enabled | Opcionalno Boolean | |
| datetime_field | Opcionalno Niz | Dopuštene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz | Koje polje odabrati za sortiranje rezultata. Dozvoljene vrijednosti su: domain_id, datetime, last_datetime, host. |
| order_type | Opcionalno Niz | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno poredanje, i DESC za silazno poredanje. |
| page | Opcionalno Cijeli broj | Broj stranice s koje želite rezultate. Zadano je 1. |
| results_per_page | Opcionalno Cijeli broj | Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains?page=1",
"last": "https://tistos.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains?page=1"
}
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
}
}
POST https://tistos.com/api/domains
| Parametri | Detalji | Opis |
|---|---|---|
| host | Obavezno Niz | - |
| custom_index_url | Opcionalno Niz | - |
| custom_not_found_url | Opcionalno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/domains/{domain_id}
| Parametri | Detalji | Opis |
|---|---|---|
| host | Opcionalno Niz | - |
| custom_index_url | Opcionalno Niz | - |
| custom_not_found_url | Opcionalno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \